//---------------------------------------------------------------------------
#ifndef Moochos_Execian_SettingsMan_H
#define Moochos_Execian_SettingsMan_H
//---------------------------------------------------------------------------
// SettingsMan.h
//
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
namespace Moochos { namespace Moa { namespace IniFiles { class TVarIniFile; }}} using namespace Moochos::Moa::IniFiles;
//---------------------------------------------------------------------------
namespace Moochos { namespace Execian { namespace SettingsMan {
//---------------------------------------------------------------------------
class ESettingsManError : public Exception
{
public:
	__fastcall ESettingsManError(const AnsiString& AMessage) : Exception(AMessage) {}
};
//---------------------------------------------------------------------------
class TSettingsMan : public TObject
{
private:
	void __fastcall LoadMainFormSection(TVarIniFile* AIniFile);
	void __fastcall SaveMainFormSection(TVarIniFile* AIniFile);
	void __fastcall LoadSystemSection(TVarIniFile* AIniFile);
	void __fastcall SaveSystemSection(TVarIniFile* AIniFile);
protected:
public:
	__fastcall TSettingsMan();
	virtual __fastcall ~TSettingsMan();
	void __fastcall Load();
	void __fastcall Save();
	void __fastcall DeleteFile(bool AConfirm);
};
//---------------------------------------------------------------------------
}}} // End of namespace Moochos::Execian:SettingsMan:
using namespace Moochos::Execian::SettingsMan;
//---------------------------------------------------------------------------
#endif

